DescribeNetworkInterfaces

1. API Description

This API (DescribeNetworkInterfaces) is used to query the information of one or more specified vNICs. Users can search for vNIC information based on vNIC ID, vNIC name, etc.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicIds

No

Array of String

vNic ID(s).

name

No

String

vNIC name.

Fuzzy search supported.

regionId

No

String

Region ID.

vpcId

No

String

ID of VPC.

subnetId

No

String

ID of Subnet.

instanceId

No

String

ID of Instance.

status

No

vNIC state.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20 ;

Value range: [1, 1000]

pageNum

No

Integer

Number of pages returned.

Value range: [1, +)

Default value: 1

nicType

No

vNIC type.

resourceGroupId

No

String

Resource Group ID.

securityGroupId

No

String

Filter by the security group ID to which the network interface belongs.

tagKeys

No

Array of String

Query using tag keys.

A maximum of 20 tag keys can be used.

tags

No

Array of Tag

Query using tags.

A maximum of 20 tags can be used.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Number of vNICs meeting the filtering conditions.

dataSet

Array of NicInfo

Information on vNIC(s).

4. Code Example

Query the list of secondary vNICs.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated